import java.util.Iterator;
/**
 * Functions implement the functions that the user can use in the Showboat aplication
 * 
 * @author Jens Bennedsen 
 * @version 20 April 2001
 * modified 20 April 2008 by mec
 */
public class Functions {

    private int n = 0;
    private Time totalTime = new Time(0);
    
    public void beginSession () {
        Time now= new Time();
        totalTime= totalTime.subtract(now);
    }
    

    public void endSession () {
        Time now= new Time();
        totalTime= totalTime.add(now);
        n= n + 1;
    }
    

    public ReportInfo doDailyReport() {
        Time avgTime;
        ReportInfo res = new ReportInfo();
        
        if (n != 0)
            res.setAvgTime(totalTime.divide(n));
        else
            res.setAvgTime(new Time(0));
        res.setNrOfSessions(n);
        return res;
    }
}
